package cn.newfeifan.mall.module.sale.enums;

import cn.newfeifan.mall.framework.common.exception.ErrorCode;

/**
 * Sale 错误码枚举类 add by Ben 20240315
 * <p>
 * Sale 系统，使用 1-101-000-000 段
 * 第二段是模块编号，用101这么大，是不想与原来的编码重复
 * 第三段是表编号，如：商户表、店铺表
 * 第四段是表内的错误编号
 */
public interface ErrorCodeConstants {

    //店铺表相关错误，表编号是1
    ErrorCode SHOP_NOT_EXISTS = new ErrorCode(1_101_001_001, "店铺不存在");

    ErrorCode MERCHANT_APPLY_NOT_EXISTS = new ErrorCode(1_002_029_003, "商户申请不存在");
    ErrorCode MERCHANT_APPLY_LOG_NOT_EXISTS = new ErrorCode(1_002_029_004, "商户申请记录不存在");
    ErrorCode USER_IS_NOT_AGENT = new ErrorCode(1_002_029_005, "用户还不是代理商");
    ErrorCode USER_IS_EXISTS = new ErrorCode(1_002_029_006, "联络人账户已存在");
}
